<div class="cards" >
  <div *ngIf="todos.length; else nts" >
    <mat-card *ngFor="let item of todos">
      <mat-card-actions>
        <mat-checkbox class="completed_checkbox" color=primary [checked]="item.completed"
                      (click)="onChangeCompleted(item)"> </mat-checkbox>
      </mat-card-actions>

      <mat-card-actions>
        <i class="fa fa-star-o" [class.important]="item.important" (click)="onChangeImportant(item)"></i>
      </mat-card-actions>

      <mat-card-header>
        <mat-card-title [class.completed]="item.completed">{{item.title}}</mat-card-title>
      </mat-card-header>

      <mat-card-actions>
        <i  class="fa fa-trash" (click)="onRemoveTodo(item.id)"></i>
      </mat-card-actions>
    </mat-card>
  </div>
  <ng-template #nts>
    <span class="nts">Nothing to show</span>
  </ng-template>
</div>
